package com.hikapro.backpack.model;

import android.os.Message;

import com.hikapro.backpack.model.dao.DAO;
import com.hikapro.backpack.presenter.Presenter;

/**
 * Created by tariel on 16/05/16.
 */
public class ShareModel implements Model.Share {

    private Presenter.Share   presenter;
    private DAO dao;

    public ShareModel() {
        this.dao   = DAO.getInstance();
        dao.registerObserver(this);
    }

    @Override
    public void onDestroy(boolean isConfigurationChanging) {

    }

    @Override
    public void executeQuery() {

    }

    @Override
    public void notifyDataSetChanged() {

    }

    @Override
    public void onEvent(Message event) {

    }

    @Override
    public void setPresenter(Presenter.Share presenter) {
        this.presenter = presenter;
    }

    @Override
    public Presenter.Share getPresenter() {
        return presenter;
    }
}
